# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "elevatore/version"

Gem::Specification.new do |spec|
  spec.name          = "elevatore"
  spec.version       = Elevatore::VERSION
  spec.authors       = ["Fernando Bellincanta"]
  spec.email         = ["ervalhous@hotmail.com"]

  spec.summary       = %q{Elevatore it is an exercise at elevator's behavior.}
  spec.description   = %q{Elevatore assumes you have an elevator in a 10 level
                          building, and the time between levels is 0.1 minutes.
                          The time it takes to a person to enter the elevator is
                          considered 0.}
  spec.homepage      = "https://github.com/ErvalhouS/fernando-bellincanta"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
